Package org.apache.sysds.runtime.instructions.ooc

# Class IndexingOOCInstruction.Sector2Col<T>

java.lang.Object
org.apache.sysds.runtime.instructions.ooc.IndexingOOCInstruction.Sector<T>
org.apache.sysds.runtime.instructions.ooc.IndexingOOCInstruction.Sector2Col<T>

Enclosing class:
  IndexingOOCInstruction

public static class IndexingOOCInstruction.Sector2Col<T> extends IndexingOOCInstruction.Sector<T>

## Constructor Summary

Constructors
Constructor
Description
`Sector2Col()`

## Method Summary

Modifier and Type
Method
Description
`int`
`count()`
`T`
`get(int rowOffset, int colOffset)`
`boolean`
`place(int rowOffset, int colOffset, T data)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Sector2Col

public Sector2Col()

## Method Details

### place

public boolean place(int rowOffset, int colOffset, T data)

Specified by:
  `place` in class `IndexingOOCInstruction.Sector<T>`

### get

public T get(int rowOffset, int colOffset)

Specified by:
  `get` in class `IndexingOOCInstruction.Sector<T>`

### count

public int count()

Specified by:
  `count` in class `IndexingOOCInstruction.Sector<T>`